Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232355 - Review Request: firmware-tools - Scripts and tools to manage firmware and BIOS updates
Summary: Review Request: firmware-tools - Scripts and tools to manage firmware and BIO...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 22:00 UTC by Michael E Brown
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-16 14:11:06 UTC
matt_domsch: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Michael E Brown 2007-03-14 22:00:16 UTC
Spec URL: http://linux.dell.com/libsmbios/download/firmware-tools/firmware-tools-1.2.0/firmware-tools.spec

SRPM URL: 
http://linux.dell.com/libsmbios/download/firmware-tools/firmware-tools-1.2.0/firmware-tools-1.2.0-1.src.rpm

Description:

The firmware-tools project provides the following toolset:
  -- BIOS and Firmware inventory: provide a list of firmware versions present on a hardware system. Uses a plugin system so OEM can write plugins to get versions from their specific firmware

  -- BIOS and Firmware upgrade: given a BIOS or Firmware update, apply it to the system. Uses a plugin system so OEM can write plugins to update their specific hardware

  -- Package bootstrap: method to detect which packages might be necessary to complete a full inventory and update for hardware present on the system. Uses a plugin system so OEM can write plugins to get versions from their specific hardware.

The firmware-tools project provides tools to inventory hardware and a plugin
architecture so that different OEM vendors can provide different inventory
components. It is intended to tie to the package system to enable seamless
installation of updated firmware via your package manager, as well as provide
a framework for BIOS and firmware updates.

Comment 1 Michael E Brown 2007-03-14 22:02:16 UTC
Used wrong buzilla account to log this... should be mebrown@michaels-house.net,
as that is my FAS account.

Comment 2 Michael E Brown 2007-03-15 04:58:36 UTC
Posted small update:
http://linux.dell.com/libsmbios/download/firmware-tools/firmware-tools-1.2.1/firmware-tools.spec
http://linux.dell.com/libsmbios/download/firmware-tools/firmware-tools-1.2.1/firmware-tools-1.2.1-1.src.rpm

%changelog
* Wed Mar 14 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.0-1
- create and own %{_sysconfdir}/firmware/firmware.d/ for plugins.


Comment 3 Rudolf Kastl 2007-03-15 13:43:00 UTC
/usr/share/firmware should probably be owned by the package because its
configured as storage dir in the default conf file.

Comment 5 Rudolf Kastl 2007-03-15 14:34:39 UTC
again a small issue (this is not a package review though) that is pretty easy to
fix in the %files section:

warning: File listed twice: /etc/firmware/firmware.conf
warning: File listed twice: /etc/firmware/firmware.d

Comment 6 Michael E Brown 2007-03-15 15:05:39 UTC
doh. Fixed in 1.2.3. It is a one line fix (remove entry from %files). I wont
post a fix for this by itself.

Comment 8 Matt Domsch 2007-03-15 22:02:28 UTC
$ rpmlint *rpm
W: firmware-tools strange-permission firmware-tools.spec 0600
 - false positive, CVS won't have this of course


MUSTs:
* passes naming guidelines
* spec file name correct
* packaging guidelines:
  * name ok
  * license OK
  * nothing prebuilt
  * files FHS
  * passes rpmlint
  * has changelog
  * no packager tag
  * no vendor tag
  * has license tag
  * summary doesn't end in .
  * no PreReq
  * Source0 needs fixing!!!
  * buildroot OK
  * requires ok
  * summary and description ok
  * encoding UTF8
  * documentation ok
  * optflags unneeded
  * debuginfo not disabled
  * no static libs
  * no system library dupes
  * no rpath
  * config is noreplace, not in /usr
  * no initscripts
  * no desktop file needed
  * uses macros not hard-coded dirs
  * consistent use of macros
  * no locales
  * no copying of files in setup
  * no parallel make as no make
  * no scriptlets
  * no conditional deps
  * builds in mock with separate user
  * not relocatable
  * is code, not content
  * files and dirs owned properly
  * not a web app

* License is GPL/OSL dual, ok
* License tag OK
* licenses in %doc
* spec in english
* spec legible
* sources match upstream
* compiles and builds on all arches (it's noarch)
* BuildRequires correct
* No locales to care about
* no shared libs
* not relocatable
* owns the dirs it creates
* no dup files
* defattr present
* file permissions ok
* consistent use of macros
* contains code
* no need for separate -doc
* %doc files present but not critical for runtime
* no headers
* no static libs
* no .pc files
* no shared libs
* no -devel
* no libtool archives
* no desktop file needed
* directory ownership ok

SHOULDs:
* licenses present upstream
* no translations - ok
* builds in mock
* builds into noarch
* runs fine
* no scriptlets
* no subpackages
* no .pc files
* no file deps


APPROVED.


Comment 9 Michael E Brown 2007-03-15 22:40:13 UTC
New Package CVS Request
=======================
Package Name: firmware-tools
Short Description: Scripts and tools to manage firmware and BIOS updates
Owners: mebrown@michaels-house.net,matt_domsch@dell.com
Branches: FC-6 EPEL-4 EPEL-5
InitialCC:

Comment 10 Josh Boyer 2007-03-16 00:47:56 UTC
Done.  For future reference, the EPEL branches are simply EL-4 and EL-5


Note You need to log in before you can comment on or make changes to this bug.